import { ICacheLayer } from './index';
import TTLMap from './TTLMap';
export interface IMemoryLayerOptions<K, V, CK> {
    ttl?: number;
    keyFn?(key: K): CK;
}
export default class MemoryLayer<K, V, CK = K> implements ICacheLayer<K, V> {
    get map(): TTLMap<CK, V>;
    private _map;
    private _options;
    constructor(options?: IMemoryLayerOptions<K, V, CK>);
    batchGet(keys: readonly K[]): Promise<Array<V | Error>>;
    batchSet(map: Map<K, V>): Promise<void>;
}
